Subject: Re: [bug#37908] [PATCH 0/2] Remove monolithic qt5 (and other unused package)

From: Efraim Flashner <[email-masked]>
Date: Fri, 1 Nov 2019 16:39:54 +0200

On Fri, Nov 01, 2019 at 03:14:08PM +0100, Ludovic Courtès wrote:
> Hi Hartmut,
> 
> Hartmut Goebel <[email-masked]> skribis:
> 
> > From: Hartmut Goebel <[email-masked]>
> > Date: Thu, 24 Oct 2019 20:28:26 +0200
> > Subject: [Patch v2 2/2] gnu: Deprecate monolithic qt5.
> >
> > This package was not used anywhere but as a based for qt-4.
> >
> > * gnu/packages/qt.scm (qt-4): Copy all relevant package definition
> >   parts from 'qt'.
> >   (qt): Define as a deprecated alias for 'qtbase`.
> 
> Please ensure that “guix build qt@4 -nd” returns the same derivation
> before and after the change.
> 
> > +(define-deprecated qt qtbase qtbase)
> 
> Perhaps add a comment above saying that ‘qt’ used to refer to the
> monolithic Qt 5.x package?
> 
> Otherwise LGTM!  Efraim, can you say if this is fine with you?
> When Efraim agrees to the change, I guess you can go ahead.
> 

I didn't apply it locally, I can do it in about 36 hours, but it looks
good. IIRC we have qt4 inheriting from qt5, and qtbase was its own
definition so nothing should change on that side.

LGTM

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted